package fr.smallcrew.data.service;

public interface SecuredCrudService<USER, T, ID> {
  T create(USER user, T data);

  T update(USER user, T data);

  void delete(USER user, ID id);

  T findByID(USER user, ID id);
}
